Bug 243170 - [msi] SATA-controller-detection-issue on Dell Inspiron 1501-Laptops
[msi] SATA-controller-detection-issue on Dell Inspiron 1501-Laptops
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2007-06-07 13:31 EDT by Tobias Vogel
Modified: 2008-06-16 21:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:29:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tobias Vogel 2007-06-07 13:31:41 EDT
Description of problem:

On certain Dell Inspiron 1501-Models the Kernel (from the installer-dvd as from
the system) does not detect the sata-controller, and therefore the computer
cannot be set up to run with linux

Version-Release number of selected component (if applicable):


How reproducible:

Boot from CD/DVD or HDD with standard Kernel-parameters


Steps to Reproduce:
1. Boot...
  
Actual results:

There is a workaround available (see below)

Expected results:


Additional info:

The Kernel (from the installer-dvd as from the system) needs the parameter
"pci=nomsi" in order to detect the sata-controller. I already wanted to give up,
trying to install Fedora on my Notebook, until i finally discovered this trick.
Comment 1 Phil Knirsch 2007-06-08 08:24:20 EDT
Reassigning to kernel.

Read ya, Phil
Comment 2 Christopher Brown 2007-09-14 08:47:55 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. As this is an
installation bug and with the next version of Fedora to be released in a couple
of months it is important resolve these before the final version. If you are
able to, could you test with Fedora 8 Test 2 and see if it still requires the
kernel parameter in order to boot. You can get it from:

http://fedoraproject.org/wiki/Distribution/Download

In the meantime I have added a blocker bug to notify developers this may be an
issue for Fedora 8 installations.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Chuck Ebbert 2007-09-14 15:13:29 EDT
Don't close this one.
Comment 4 Chuck Ebbert 2007-10-17 15:50:49 EDT
Workaround available, not a blocker.
Comment 5 Bug Zapper 2008-05-14 08:54:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:29:10 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.